Skip to main content

createOrUpdateBusinessmapIntegration

Create or update Businessmap integration

createOrUpdateBusinessmapIntegration(
input: CreateOrUpdateBusinessmapIntegrationInput!
): CreateOrUpdateBusinessmapIntegrationPayload

Arguments​

createOrUpdateBusinessmapIntegration.input ● CreateOrUpdateBusinessmapIntegrationInput! non-null input​

Parameters for CreateOrUpdateBusinessmapIntegration

Type​

CreateOrUpdateBusinessmapIntegrationPayload object​

Autogenerated return type of CreateOrUpdateBusinessmapIntegration.

Example request

This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.

Before you run it

Run the companies query first and use data.companies.collection[].id as companyId.

curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateOrUpdateBusinessmapIntegration($input: CreateOrUpdateBusinessmapIntegrationInput!) {\n createOrUpdateBusinessmapIntegration(input: $input) { clientMutationId defectTrackerIntegration { id apiToken company { __typename } } }\n}","variables":{"input":{"companyId":"<company_id>","siteUrl":"example","apiToken":"example"}}}'

Contribute to the Docs

Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.

How to contribute